Installing Enthought Tool Suite (ETS) on OpenSUSE 11

Thu 09 October 2008

Today, I tried to install Enthought Tool Suite on OpenSUSE 11, with the help of my old post. For the moment there are no packages for OpenSUSE. I had to checkout their repository and build the eggs, in order to install the suite. The mentioned tutorial worked but of course that I had some minor problems. Now, the last version is ETS_3.0.3 and during the build of Enable_3.0.2 a small surprise on the screen:

` kage caller_level = caller_level + 1) File "/usr/lib64/python2.5/site-packages/numpy/distutils/misc_util.py", line 781, in _get_configuration_from_setup_py config = setup_module.configuration(*args) File "enthought/kiva/agg/setup.py", line 146, in configuration if int(gcc_version_head[2][0]) < 4: ValueError: invalid literal for int() with base 10: 'L'` 

The solution was:

vim Enable_3.0.2/enthought/kiva/agg/setup.py

comment the line 146 and 147, Run the build again and everything went smoothly.